View Issue Details

IDProjectCategoryView StatusLast Update
0000565CaseTalk ModelerGeneration (SQL, XML, etc)public2014-12-15 16:34
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeveritymajorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version6.21 
Target Version8.1Fixed in Version8.1 
Summary0000565: XML Schema generation is missing elements
DescriptionXML Schema generation is missing some elements from the model. Either partof elements, or playedby elements. The labeltypes are generated properly, including the enumerations for value constraints.
TagsNo tags attached.

Relationships

related to 0000566 resolvedBCP Software GLR generates too many primary keys 

Activities

BCP Software

BCP Software

2014-12-10 22:41

administrator   ~0000318

Workaround: Please turn off the "Automatic Primary Key" option in the GLR panel.
BCP Software

BCP Software

2014-12-12 12:15

administrator   ~0000320

Reopened the issue after concluding this already happened in v6.21.
A non lexicalized model can be used to generate XSD, yet some elements will not contain all elements to remain referential integrity.

Issue History

Date Modified Username Field Change
2014-12-10 16:26 BCP Software New Issue
2014-12-10 16:26 BCP Software Status new => assigned
2014-12-10 16:26 BCP Software Assigned To => BCP Software
2014-12-10 22:18 BCP Software Relationship added related to 0000566
2014-12-10 22:41 BCP Software Note Added: 0000318
2014-12-10 22:42 BCP Software Status assigned => resolved
2014-12-10 22:42 BCP Software Fixed in Version => 8.1
2014-12-10 22:42 BCP Software Resolution open => fixed
2014-12-12 12:14 BCP Software Status resolved => new
2014-12-12 12:14 BCP Software Resolution fixed => open
2014-12-12 12:14 BCP Software Product Version 8.0.3 => 6.21
2014-12-12 12:14 BCP Software Fixed in Version 8.1 =>
2014-12-12 12:15 BCP Software Note Added: 0000320
2014-12-15 16:34 BCP Software Status new => resolved
2014-12-15 16:34 BCP Software Fixed in Version => 8.1
2014-12-15 16:34 BCP Software Resolution open => fixed
2016-01-20 12:56 BCP Software Category Generation => Generation (SQL, XML, etc)